/**
 * A logger backed by [pino](https://getpino.io/)
 *
 * The default log level is `info`, but you can change it passing a level
 * string set to one of: `"trace"`, `"debug"`, `"info"`, `"warn"`,
 * `"error"`, or `"fatal"`.
 *
 * ```js
 * app.log.debug("…so is this");
 * app.log.trace("Now we're talking");
 * app.log.info("I thought you should know…");
 * app.log.warn("Woah there");
 * app.log.error("ETOOMANYLOGS");
 * app.log.fatal("Goodbye, cruel world!");
 * ```
 */
import { Logger } from "pino";
import { Options, LogLevel } from "@probot/pino";
export declare type GetLogOptions = {
    level?: LogLevel;
    logMessageKey?: string;
} & Options;
export declare function getLog(options?: GetLogOptions): Logger;
